# Copyright 2018 EPAM Systems.

# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
# http://www.apache.org/licenses/LICENSE-2.0

# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.

# See the License for the specific language governing permissions and
# limitations under the License.

apiVersion: v1
kind: Template
metadata:
  name: "deploy-config"
objects:
- apiVersion: v1
  kind: ConfigMap
  metadata:
    name: "foo-mount"
  data:
    mount-config: >
      foo.config.mount: config:foo.config.mount, src:foo-mount
- apiVersion: v1
  kind: ConfigMap
  metadata:
    name: "foo-reload"
  data:
    foo.config.reload: "config:foo.config.reload, src:foo-reload"
- apiVersion: v1
  kind: ConfigMap
  metadata:
    name: "foo-dynamic"
  data:
    foo.config.dynamic: "config:foo.config.dynamic, src:foo-dynamic"
- apiVersion: v1
  kind: Secret
  type: Opaque
  metadata:
    name: "foo-secret"
  stringData:
    foo.config.secret: config:foo.config.secret, src:foo-secret